XCB: XCB ScreenSaver API

XCB 1.17.0

Data Structures | Macros | Typedefs | Enumerations | Functions | Variables
XCB ScreenSaver API

ScreenSaver XCB Protocol Implementation. More...

## Data Structures
struct | xcb_screensaver_query_version_cookie_t
| xcb_screensaver_query_version_cookie_t More...
struct | xcb_screensaver_query_version_request_t
| xcb_screensaver_query_version_request_t More...
struct | xcb_screensaver_query_version_reply_t
| xcb_screensaver_query_version_reply_t More...
struct | xcb_screensaver_query_info_cookie_t
| xcb_screensaver_query_info_cookie_t More...
struct | xcb_screensaver_query_info_request_t
| xcb_screensaver_query_info_request_t More...
struct | xcb_screensaver_query_info_reply_t
| xcb_screensaver_query_info_reply_t More...
struct | xcb_screensaver_select_input_request_t
| xcb_screensaver_select_input_request_t More...
struct | xcb_screensaver_set_attributes_value_list_t
| xcb_screensaver_set_attributes_value_list_t More...
struct | xcb_screensaver_set_attributes_request_t
| xcb_screensaver_set_attributes_request_t More...
struct | xcb_screensaver_unset_attributes_request_t
| xcb_screensaver_unset_attributes_request_t More...
struct | xcb_screensaver_suspend_request_t
| xcb_screensaver_suspend_request_t More...
struct | xcb_screensaver_notify_event_t
| xcb_screensaver_notify_event_t More...

## Macros
#define | XCB_SCREENSAVER_MAJOR_VERSION 1
#define | XCB_SCREENSAVER_MINOR_VERSION 1
#define | XCB_SCREENSAVER_QUERY_VERSION 0
#define | XCB_SCREENSAVER_QUERY_INFO 1
#define | XCB_SCREENSAVER_SELECT_INPUT 2
#define | XCB_SCREENSAVER_SET_ATTRIBUTES 3
#define | XCB_SCREENSAVER_UNSET_ATTRIBUTES 4
#define | XCB_SCREENSAVER_SUSPEND 5
#define | XCB_SCREENSAVER_NOTIFY 0

## Typedefs
typedef enum xcb_screensaver_kind_t | xcb_screensaver_kind_t
typedef enum xcb_screensaver_event_t | xcb_screensaver_event_t
typedef enum xcb_screensaver_state_t | xcb_screensaver_state_t
typedef struct xcb_screensaver_query_version_cookie_t | xcb_screensaver_query_version_cookie_t
| xcb_screensaver_query_version_cookie_t
typedef struct xcb_screensaver_query_version_request_t | xcb_screensaver_query_version_request_t
| xcb_screensaver_query_version_request_t
typedef struct xcb_screensaver_query_version_reply_t | xcb_screensaver_query_version_reply_t
| xcb_screensaver_query_version_reply_t
typedef struct xcb_screensaver_query_info_cookie_t | xcb_screensaver_query_info_cookie_t
| xcb_screensaver_query_info_cookie_t
typedef struct xcb_screensaver_query_info_request_t | xcb_screensaver_query_info_request_t
| xcb_screensaver_query_info_request_t
typedef struct xcb_screensaver_query_info_reply_t | xcb_screensaver_query_info_reply_t
| xcb_screensaver_query_info_reply_t
typedef struct xcb_screensaver_select_input_request_t | xcb_screensaver_select_input_request_t
| xcb_screensaver_select_input_request_t
typedef struct xcb_screensaver_set_attributes_value_list_t | xcb_screensaver_set_attributes_value_list_t
| xcb_screensaver_set_attributes_value_list_t
typedef struct xcb_screensaver_set_attributes_request_t | xcb_screensaver_set_attributes_request_t
| xcb_screensaver_set_attributes_request_t
typedef struct xcb_screensaver_unset_attributes_request_t | xcb_screensaver_unset_attributes_request_t
| xcb_screensaver_unset_attributes_request_t
typedef struct xcb_screensaver_suspend_request_t | xcb_screensaver_suspend_request_t
| xcb_screensaver_suspend_request_t
typedef struct xcb_screensaver_notify_event_t | xcb_screensaver_notify_event_t
| xcb_screensaver_notify_event_t

## Enumerations
enum | xcb_screensaver_kind_t { XCB_SCREENSAVER_KIND_BLANKED = 0 , XCB_SCREENSAVER_KIND_INTERNAL = 1 , XCB_SCREENSAVER_KIND_EXTERNAL = 2 }
enum | xcb_screensaver_event_t { XCB_SCREENSAVER_EVENT_NOTIFY_MASK = 1 , XCB_SCREENSAVER_EVENT_CYCLE_MASK = 2 }
enum | xcb_screensaver_state_t { XCB_SCREENSAVER_STATE_OFF = 0 , XCB_SCREENSAVER_STATE_ON = 1 , XCB_SCREENSAVER_STATE_CYCLE = 2 , XCB_SCREENSAVER_STATE_DISABLED = 3 }

## Functions
xcb_screensaver_query_version_cookie_t | xcb_screensaver_query_version (xcb_connection_t *c, uint8_t client_major_version, uint8_t client_minor_version)
xcb_screensaver_query_version_cookie_t | xcb_screensaver_query_version_unchecked (xcb_connection_t *c, uint8_t client_major_version, uint8_t client_minor_version)
xcb_screensaver_query_version_reply_t * | xcb_screensaver_query_version_reply (xcb_connection_t *c, xcb_screensaver_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_screensaver_query_info_cookie_t | xcb_screensaver_query_info (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_screensaver_query_info_cookie_t | xcb_screensaver_query_info_unchecked (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_screensaver_query_info_reply_t * | xcb_screensaver_query_info_reply (xcb_connection_t *c, xcb_screensaver_query_info_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_screensaver_select_input_checked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t event_mask)
xcb_void_cookie_t | xcb_screensaver_select_input (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t event_mask)
int | xcb_screensaver_set_attributes_value_list_serialize (void **_buffer, uint32_t value_mask, const xcb_screensaver_set_attributes_value_list_t *_aux)
int | xcb_screensaver_set_attributes_value_list_unpack (const void *_buffer, uint32_t value_mask, xcb_screensaver_set_attributes_value_list_t *_aux)
int | xcb_screensaver_set_attributes_value_list_sizeof (const void *_buffer, uint32_t value_mask)
int | xcb_screensaver_set_attributes_sizeof (const void *_buffer)
xcb_void_cookie_t | xcb_screensaver_set_attributes_checked (xcb_connection_t *c, xcb_drawable_t drawable, int16_t x, int16_t y, uint16_t width, uint16_t height, uint16_t border_width, uint8_t _class, uint8_t depth, xcb_visualid_t visual, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_screensaver_set_attributes (xcb_connection_t *c, xcb_drawable_t drawable, int16_t x, int16_t y, uint16_t width, uint16_t height, uint16_t border_width, uint8_t _class, uint8_t depth, xcb_visualid_t visual, uint32_t value_mask, const void *value_list)
xcb_void_cookie_t | xcb_screensaver_set_attributes_aux_checked (xcb_connection_t *c, xcb_drawable_t drawable, int16_t x, int16_t y, uint16_t width, uint16_t height, uint16_t border_width, uint8_t _class, uint8_t depth, xcb_visualid_t visual, uint32_t value_mask, const xcb_screensaver_set_attributes_value_list_t *value_list)
xcb_void_cookie_t | xcb_screensaver_set_attributes_aux (xcb_connection_t *c, xcb_drawable_t drawable, int16_t x, int16_t y, uint16_t width, uint16_t height, uint16_t border_width, uint8_t _class, uint8_t depth, xcb_visualid_t visual, uint32_t value_mask, const xcb_screensaver_set_attributes_value_list_t *value_list)
void * | xcb_screensaver_set_attributes_value_list (const xcb_screensaver_set_attributes_request_t *R)
xcb_void_cookie_t | xcb_screensaver_unset_attributes_checked (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_void_cookie_t | xcb_screensaver_unset_attributes (xcb_connection_t *c, xcb_drawable_t drawable)
xcb_void_cookie_t | xcb_screensaver_suspend_checked (xcb_connection_t *c, uint32_t suspend)
xcb_void_cookie_t | xcb_screensaver_suspend (xcb_connection_t *c, uint32_t suspend)

## Variables
xcb_extension_t | xcb_screensaver_id

## Detailed Description

ScreenSaver XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_SCREENSAVER_NOTIFY

#define XCB_SCREENSAVER_NOTIFY 0

Opcode for xcb_screensaver_notify.

## ◆ XCB_SCREENSAVER_QUERY_INFO

#define XCB_SCREENSAVER_QUERY_INFO 1

Opcode for xcb_screensaver_query_info.

## ◆ XCB_SCREENSAVER_QUERY_VERSION

#define XCB_SCREENSAVER_QUERY_VERSION 0

Opcode for xcb_screensaver_query_version.

## ◆ XCB_SCREENSAVER_SELECT_INPUT

#define XCB_SCREENSAVER_SELECT_INPUT 2

Opcode for xcb_screensaver_select_input.

## ◆ XCB_SCREENSAVER_SET_ATTRIBUTES

#define XCB_SCREENSAVER_SET_ATTRIBUTES 3

Opcode for xcb_screensaver_set_attributes.

## ◆ XCB_SCREENSAVER_SUSPEND

#define XCB_SCREENSAVER_SUSPEND 5

Opcode for xcb_screensaver_suspend.

## ◆ XCB_SCREENSAVER_UNSET_ATTRIBUTES

#define XCB_SCREENSAVER_UNSET_ATTRIBUTES 4

Opcode for xcb_screensaver_unset_attributes.

## Function Documentation

## ◆ xcb_screensaver_query_info()

xcb_screensaver_query_info_cookie_t xcb_screensaver_query_info | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SCREENSAVER_QUERY_INFO.

## ◆ xcb_screensaver_query_info_reply()

xcb_screensaver_query_info_reply_t * xcb_screensaver_query_info_reply | ( | xcb_connection_t * | c,
|  | xcb_screensaver_query_info_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_screensaver_query_info_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_screensaver_query_info_unchecked()

xcb_screensaver_query_info_cookie_t xcb_screensaver_query_info_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SCREENSAVER_QUERY_INFO.

## ◆ xcb_screensaver_query_version()

xcb_screensaver_query_version_cookie_t xcb_screensaver_query_version | ( | xcb_connection_t * | c,
|  | uint8_t | client_major_version,
|  | uint8_t | client_minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SCREENSAVER_QUERY_VERSION.

## ◆ xcb_screensaver_query_version_reply()

xcb_screensaver_query_version_reply_t * xcb_screensaver_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_screensaver_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e
| ) |  |

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_screensaver_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_screensaver_query_version_unchecked()

xcb_screensaver_query_version_cookie_t xcb_screensaver_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint8_t | client_major_version,
|  | uint8_t | client_minor_version
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_SCREENSAVER_QUERY_VERSION.

## ◆ xcb_screensaver_select_input()

xcb_void_cookie_t xcb_screensaver_select_input | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | event_mask
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SCREENSAVER_SELECT_INPUT.

## ◆ xcb_screensaver_select_input_checked()

xcb_void_cookie_t xcb_screensaver_select_input_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | event_mask
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SCREENSAVER_SELECT_INPUT.

## ◆ xcb_screensaver_set_attributes()

xcb_void_cookie_t xcb_screensaver_set_attributes | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | border_width,
|  | uint8_t | _class,
|  | uint8_t | depth,
|  | xcb_visualid_t | visual,
|  | uint32_t | value_mask,
|  | const void * | value_list
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SCREENSAVER_SET_ATTRIBUTES.

## ◆ xcb_screensaver_set_attributes_aux()

xcb_void_cookie_t xcb_screensaver_set_attributes_aux | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | border_width,
|  | uint8_t | _class,
|  | uint8_t | depth,
|  | xcb_visualid_t | visual,
|  | uint32_t | value_mask,
|  | const xcb_screensaver_set_attributes_value_list_t * | value_list
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SCREENSAVER_SET_ATTRIBUTES.

## ◆ xcb_screensaver_set_attributes_aux_checked()

xcb_void_cookie_t xcb_screensaver_set_attributes_aux_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | border_width,
|  | uint8_t | _class,
|  | uint8_t | depth,
|  | xcb_visualid_t | visual,
|  | uint32_t | value_mask,
|  | const xcb_screensaver_set_attributes_value_list_t * | value_list
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SCREENSAVER_SET_ATTRIBUTES.

## ◆ xcb_screensaver_set_attributes_checked()

xcb_void_cookie_t xcb_screensaver_set_attributes_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | int16_t | x,
|  | int16_t | y,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | border_width,
|  | uint8_t | _class,
|  | uint8_t | depth,
|  | xcb_visualid_t | visual,
|  | uint32_t | value_mask,
|  | const void * | value_list
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SCREENSAVER_SET_ATTRIBUTES.

## ◆ xcb_screensaver_suspend()

xcb_void_cookie_t xcb_screensaver_suspend | ( | xcb_connection_t * | c,
|  | uint32_t | suspend
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SCREENSAVER_SUSPEND.

## ◆ xcb_screensaver_suspend_checked()

xcb_void_cookie_t xcb_screensaver_suspend_checked | ( | xcb_connection_t * | c,
|  | uint32_t | suspend
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SCREENSAVER_SUSPEND.

## ◆ xcb_screensaver_unset_attributes()

xcb_void_cookie_t xcb_screensaver_unset_attributes | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_SCREENSAVER_UNSET_ATTRIBUTES.

## ◆ xcb_screensaver_unset_attributes_checked()

xcb_void_cookie_t xcb_screensaver_unset_attributes_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable
| ) |  |

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_SCREENSAVER_UNSET_ATTRIBUTES.